Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version:
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2220 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: separator Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

I've set the language in Italian. If I open an attribute table, I see dots as thousands separators and common as decimal one, even if
I've set dot as decimal separator (and space as thousands one, because Windows doesn't allow to set a null value).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2529: Error al exportar ... Invalid 05/19/2014

History
#1 - 03/10/2014 06:13 PM - Álvaro Anguix

Antonio, Can you add the table or shapefile?

#2 - 03/10/2014 07:15 PM - Antonio Falciano

The bug is still present in build 2221. Here's a shapefile with two double fields: http://www.istat.it/it/files/2011/04/reg2011.zip

#3 - 05/25/2014 11:27 AM - Antonio Falciano
- File separators_issue.png added

I attach a screenshot showing clearly the issue (BN 2227). The same wrong separators are used in the statusbar too. 
Instead, in the Filter tool or in geoprocesses numeric values are usually shown using only dot as decimal separator (right way).

#4 - 07/17/2014 11:48 AM - Antonio Falciano
- Status changed from New to Invalid

After further investigations, I finally discovered that the format of the table document cells is inherited by the gvSIG locale and not by the system one.
For instance:

Double to format: 1234.56789
1.234,568 - currentLocale: it - pattern: #,###.###
1234,568  - currentLocale: it - pattern: #.###
http://www.istat.it/it/files/2011/04/reg2011.zip


1.234,568 - currentLocale: es - pattern: #,###.###
1234,568  - currentLocale: es - pattern: #.###
1,234.568 - currentLocale: en - pattern: #,###.###
1234.568  - currentLocale: en - pattern: #.###

So if the gvSIG language (or locale) is set as Italian or Spanish, dot as thousands separator and common as decimal one are right. Being not a bug, I
set this ticket as Invalid.
